services:
  app.molecule.fr:
    image: anssi/fcsc2025-web-molecule-cm-app:latest
    ports:
      - "5000:5000"
    environment:
      - APP_DOMAIN=http://app.molecule.fr:5000
      - IDP_DOMAIN=http://idp.molecule.fr:3000
      - CLIENT_SECRET=1971d01cec2b52a608ff1ae11e1db0ba
      - BOT_USERNAME=7a5cd5abaec64daa6849c36848800d17
    restart: always

  idp.molecule.fr:
    image: anssi/fcsc2025-web-molecule-cm-idp:latest
    ports:
      - "3000:3000"
    environment:
      - APP_DOMAIN=http://app.molecule.fr:5000
      - IDP_DOMAIN=http://idp.molecule.fr:3000
      - BOT_USERNAME=7a5cd5abaec64daa6849c36848800d17
      - BOT_PASSWORD=883cc2766174b4f9cdf4d2bccb8f135e
      - CLIENT_SECRET=1971d01cec2b52a608ff1ae11e1db0ba
      - FLAG=FCSC{c523c8d0765fc736ed603e8dba7eef74ba545e089a51e3ae3a69d6c0f9a709b7}
    restart: always

  bot.molecule.fr:
    image: anssi/fcsc2025-web-molecule-cm-bot:latest
    ports:
      - "4000:4000"
    environment:
      - PUPPETEER_SKIP_CHROMIUM_DOWNLOAD=true
      - APP_DOMAIN=http://app.molecule.fr:5000
      - IDP_DOMAIN=http://idp.molecule.fr:3000
      - BOT_USERNAME=7a5cd5abaec64daa6849c36848800d17
      - BOT_PASSWORD=883cc2766174b4f9cdf4d2bccb8f135e
    restart: always
